# Invoke-RASVDIProcessCmd

### NAME

Invoke-RASVDIProcessCmd\ <br>

### SYNOPSIS

Sends a VDI Process command.\ <br>

### SYNTAX

Invoke-RASVDIProcessCmd \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#InputObject)] *<*[*VDIServerAppInfo*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIServerAppInfo.html)*>* -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#Command) {Kill} \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#CommonParameters)*>*]\
\
Invoke-RASVDIProcessCmd \[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#ProviderId)] *\<uint>* -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#Command) {Kill} -[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#Id) *\<uint>* -[VDIHostId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#VDIHostId) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#CommonParameters)*>*]\
\
Invoke-RASVDIProcessCmd \[-[VDIServer](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#VDIServer)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#SiteId)] *\<uint>*] -[Command](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#Command) {Kill} -[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#Id) *\<uint>* -[VDIHostId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#VDIHostId) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASVDIProcessCmd.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Sends a VDI session process command.\
\
It will only fail with an error if the name or ID of the target VDIDesktop Provider server is invalid or command does not reach the destination.\
\
If the process ID is invalid, the command will not fail.\
\
Kill: sends a VDI kill application process command.\ <br>

### PARAMETERS

\
-**VDIServer \<string>**\
The name of the Porvider hosting the Session.\
\
The name can be either FQDN or IP address, but you have to enter the actual name this server has in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the server.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ProviderId \<uint>**\
The ID of a Provider hosting the Session.\
\
To obtain the ID, use the Get-RASProvider cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**VDIHostId \<string>**\
VDI Host ID.\
\
To obtain the VDIHostID, use the Get-RASVDIHost command.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
Process ID.\
\
To obtain the VDI Process ID, use the Get-RASProviderStatus command with StatusLevel as Level3.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**VDIServerAppInfo**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIServerAppInfo.html)**>**\
The VDIDesktop Application info object.\
\
To obtain a ServerAppInfo object representing a VDI Session application info, use the Get-RASProviderStatus command with StatusLevel as Level 3."\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**Command <**[**VDIProcessCmd**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIProcessCmd.html)**>**\
Process command.\
\
Accepted values: Kill.\
\
Possible values: Kill\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[VDIServerAppInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIServerAppInfo.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Invoke-RASVDIProcessCmd "server.company.dom" -VDIDesktopId 42311235-09c5-ca15-337d-b9723015edf0 -Id 2536 -Command Kill\
\
Invoke the VDI kill process command in the Licensing Server site (default) for the process with ID '2536'.\
\
To obtain the Desktop ID, use the Get-RASVDIDesktop cmdlet.\
\
To obtain the Process ID, use the Get-RASProviderStatus cmdlet with StatusLevel as Level3.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Invoke-RASVDIProcessCmd -ProviderId 10 -VDIDesktopId 42311235-09c5-ca15-337d-b9723015edf0 -Id 2536 -Command Kill\
\
Invoke the VDI kill process command for the process with ID '2536' of the Provider Server with ID '10'.\
\
To obtain the ProviderId, use the Get-RASProvider cmdlet.\
\
To obtain the Desktop ID, use the Get-RASVDIDesktop cmdlet.\
\
To obtain the process ID, use the Get-RASProviderStatus cmdlet with StatusLevel as Level3.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
$VDISessionApp | Invoke-RASVDIProcessCmd -Command Kill\
\
Invoke the VDI kill process command for the process, which is identified by an object obtained from the pipeline output.\
\
To obtain the $VDISessionApp object, use the Get-RASProviderStatus cmdlet with StatusLevel as Level3.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/invoke-rasvdiprocesscmd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
